/*
* Styling of the menu options providing means to set code generation options and save defaults.
*/
@mixin menu-options {

    > div {
        border-radius: d("border-radius");
    }

    > div.align-right {
        width: 15%;
        height: 100%;
        float: right;
        display: inline-flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 10% 0;

        button {
            width: 60%;
            height: 10%;
            border-radius: d("border-radius");
        }
    }

    > div:not(.align-right) {
        @extend %full, %column;
        width: 80%;
        display: grid;
        grid-template-columns: 50% 1fr;
        grid-gap: 10px;

        background-color: color("white");
        overflow-y: scroll;
        padding: 20px;

        div {
            width: 100%;
            height: 25px;
            padding-left: d("padding");

            grid-column-start: 1;
            grid-column-end: 2;
            
            &.toggle {
                grid-column-start: 2;
                grid-column-end: 3;
            }

            input {
                line-height: 100%;
                font-size: 20px;
                text-align: right;
                padding: 0 5px;

                &:hover, &:focus {
                    background-color: color('background');
                    color: color('white');
                }
            }

            button {
                width: 60px;
                height: 100%;
                position: relative;
                margin: 0 auto;
                border: 0;

                div.line {
                    @include abs($top: 49%, $left: 5%);
                    height: 2px;
                    width: 90%;
                    background-color: color('gray');
                    z-index: z("background");
                }

                div.button {
                    @include abs($top: 0, $left: 0);

                    height: 25px;
                    width: 25px;

                    border-radius: 50%;
                    border: 2px solid color("gray");
                    background-color: color('white');
                    z-index: z('top');
                }

                &:hover {
                    div.button {
                        border-color: color("orange");
                    }
                }

                &.selected {
                    div.button {
                        left: unset;
                        right: 0;
                        border-color: color('orange');
                    }
                }
            }

            span {
                margin-left: 15px;
                font-weight: 400;
            }

            p {
                display: none;
                color: color('background');
            }

            &:hover {
                > p {
                    display: block;
                }
                span {
                    color: color('orange');
                }
                input {
                    background-color: color('background');
                    color: color('white');
                }
            }
        }
    }
}